<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
    lt_include( PLOG_CLASS_PATH."plugins/crystalpoll/class/view/adminpollsettingsview.class.php" );
    
    /**
     * Polls settings action
     */
    class AdminPollSettingsAction extends AdminAction 
	{
        function AdminPollSettingsAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

            $this->requirePermission( "manage_admin_plugins" );            
        }

        function perform()
        {
            // initialize the view
        	$this->_view = new AdminPollSettingsView( $this->_blogInfo );
            $this->setCommonData();
            return true;
        }
    }
?>